Package org.opensaml.xmlsec.encryption.support

# Interface PreDecryptionValidator

All Known Implementing Classes:
  `DefaultPreDecryptionValidator`

public interface PreDecryptionValidator
Component which performs validation of encrypted types prior to decryption.

## Method Summary

Modifier and Type
Method
Description
`void`
`validate(EncryptedData encryptedData)`
Validate an instance of `EncryptedData`.
`void`
`validate(EncryptedKey encryptedKey)`
Validate an instance of `EncryptedKey`.

## Method Details

### validate

void validate(@Nonnull EncryptedData encryptedData) throws PreDecryptionValidationException
Validate an instance of `EncryptedData`.

Parameters:
  `encryptedData` - the target to validate
Throws:
  `PreDecryptionValidationException` - if the target fails validation

### validate

void validate(@Nonnull EncryptedKey encryptedKey) throws PreDecryptionValidationException
Validate an instance of `EncryptedKey`.

Parameters:
  `encryptedKey` - the target to validate
Throws:
  `PreDecryptionValidationException` - if the target fails validation